# -*- encoding: utf-8 -*-
# stub: clockwork 2.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "clockwork".freeze
  s.version = "2.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Wiggins".freeze, "tomykaira".freeze]
  s.date = "2020-02-06"
  s.description = "A scheduler process to replace cron, using a more flexible Ruby syntax running as a single long-running process.  Inspired by rufus-scheduler and resque-scheduler.".freeze
  s.email = ["adam@heroku.com".freeze, "tomykaira@gmail.com".freeze]
  s.executables = ["clockwork".freeze, "clockworkd".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin".freeze, "bin/clockwork".freeze, "bin/clockworkd".freeze, "clockwork.gemspec".freeze, "clockworkd.1".freeze, "example.rb".freeze, "gemfiles".freeze, "gemfiles/activesupport4.gemfile".freeze, "gemfiles/activesupport5.gemfile".freeze, "lib".freeze, "lib/clockwork".freeze, "lib/clockwork.rb".freeze, "lib/clockwork/at.rb".freeze, "lib/clockwork/database_events".freeze, "lib/clockwork/database_events.rb".freeze, "lib/clockwork/database_events/event.rb".freeze, "lib/clockwork/database_events/event_collection.rb".freeze, "lib/clockwork/database_events/event_store.rb".freeze, "lib/clockwork/database_events/manager.rb".freeze, "lib/clockwork/database_events/synchronizer.rb".freeze, "lib/clockwork/event.rb".freeze, "lib/clockwork/manager.rb".freeze, "test".freeze, "test/at_test.rb".freeze, "test/clockwork_test.rb".freeze, "test/database_events".freeze, "test/database_events/event_store_test.rb".freeze, "test/database_events/support".freeze, "test/database_events/support/active_record_fake.rb".freeze, "test/database_events/synchronizer_test.rb".freeze, "test/database_events/test_helpers.rb".freeze, "test/event_test.rb".freeze, "test/manager_test.rb".freeze, "test/samples".freeze, "test/samples/signal_test.rb".freeze, "test/signal_test.rb".freeze]
  s.homepage = "http://github.com/Rykian/clockwork".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "A scheduler process to replace cron.".freeze
  s.test_files = ["test/at_test.rb".freeze, "test/clockwork_test.rb".freeze, "test/database_events".freeze, "test/database_events/event_store_test.rb".freeze, "test/database_events/support".freeze, "test/database_events/support/active_record_fake.rb".freeze, "test/database_events/synchronizer_test.rb".freeze, "test/database_events/test_helpers.rb".freeze, "test/event_test.rb".freeze, "test/manager_test.rb".freeze, "test/samples".freeze, "test/samples/signal_test.rb".freeze, "test/signal_test.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<tzinfo>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<activesupport>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<daemons>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.8"])
      s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
    else
      s.add_dependency(%q<tzinfo>.freeze, [">= 0"])
      s.add_dependency(%q<activesupport>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<daemons>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.8"])
      s.add_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<tzinfo>.freeze, [">= 0"])
    s.add_dependency(%q<activesupport>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<daemons>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.8"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
  end
end
